### File

`src/lib/environment/environment.component.module.ts`

### Imports

- EnvironmentComponent

### Exports

- EnvironmentComponent

### Methods

Static set
`set(environment: Environment)`
Defined in src/lib/environment/environment.component.module.ts:18

Parameters :

Name | Type | Optional
environment | `Environment` | No

Returns : `ModuleWithProviders<EnvironmentComponentModule>`

    import {
      ModuleWithProviders,
      NgModule,
    } from '@angular/core';
    import { EnvironmentComponent } from './environment.component';
    import { Environment } from '../environment';
    import { RXAP_ENVIRONMENT } from './tokens';

    @NgModule({
      imports: [
        EnvironmentComponent,
      ],
      exports: [ EnvironmentComponent ],
    })
    export class EnvironmentComponentModule {

      public static set(environment: Environment): ModuleWithProviders<EnvironmentComponentModule> {
        return {
          ngModule: EnvironmentComponentModule,
          providers: [
            {
              provide: RXAP_ENVIRONMENT,
              useValue: environment,
            },
          ],
        };
      }

    }

# results matching ""

# No results matching ""